Subject: Re: OSPFv3 Extension Future Direction (this ought to get your attention)

From: Vishwas Manral <[email-masked]>
Date: Thu, 24 Mar 2005 20:05:29 -0800

Hi Acee,

I have not read the draft yet. 

Having implemented both OSPF and IS-IS from scratch, my view is that the
OSPF LSA's have a big advantage of all relevant information being
clubbed togather. I think having extensible LSA's with TLV's(hybrid
approach) is the best approach (like in Pyda's draft) but I am not sure
we want to go to a fully TLV based approach.

Thanks,
Vishwas
-----Original Message-----
From: Mailing List [mailto:[email-masked]] On Behalf Of Pyda
Srisuresh
Sent: Friday, March 25, 2005 9:28 AM
To: [email-masked]
Subject: Re: OSPFv3 Extension Future Direction (this ought to get your
attention)

Acee,

I had done some work previously on using new LSAs for advertising
topology and
prefix info into TE networks (draft-srisuresh-ospf-te-07.txt). This
draft can
be a good starting point to use for turning into future MT extensions to
OSPFv3. 

I have not been active on this work recently due to my work priorities.
However, if there are folks on the list interested in pursuing, I would
be
happy to work with you on the effort and discussion. 

Thanks.

cheers,
suresh 
 
--- Acee Lindem <[email-masked]> wrote:
> Content-Type: text/plain; charset=ISO-8859-1; format=flowed
> Content-Transfer-Encoding: 7bit
> 
> At the Minneapolis IETF, I presented a comparision of  the
> various options we have for extending OSPFv3. The reaction to the
> presentation was very positive. However, it was last on the agenda and
> the OSPF WG coincided with other WGs (most notably L2VPN).
> 
> At this point, I would like to initiate more discussion. The basic
> question is whether we go with a TLV based approach or continue
> to add new LSAs which need to be synchronized with the LSAs
> advertising topology and prefix information. A TLV based approach
> is described in:
> 
> http://www.ietf.org/internet-drafts/draft-mirtorabi-mt-ospfv3-01.txt
> 
> The crux of my presentation would be that this is gives us the
powerful
> extension capability while still allowing us to advertise information
that
> does not need to be synchronized in separate LSAs.
> 
> Thanks,
> Acee
>

---

From: Acee Lindem <[email-masked]>
Date: Thu, 24 Mar 2005 23:28:16 -0500

>we want to go to a fully TLV based approach.
This is the approach taken in the draft. I think that if we adopt this 
approach we should
be somewhat conservative about what TLVs we allow to be added. Since we 
also have the
flexibility of adding new LSA types we should use that option when the 
protocol extensions
do not need to be advertised and synchronized with the prefix and 
topology information.

---

From: Peter Psenak <[email-masked]>
Date: Fri, 25 Mar 2005 09:46:27 +0100

>> we want to go to a fully TLV based approach.

the question also is how much information do we want to plug in a single 
LSA. Do we want to keep the current per prefix/router granularity  of 
AS-external-LSA/Inter-Area-Prefix-LSA/Inter-Area-Router-LSA or use these 
LSAs as a container to advertise many prefixes/routers.

Peter